#include "covman.h"
#include <stdio.h>

int f(int i) {
	return !i;
}

int main() {
	int a = 0, b = 0, c = 1;
	
	if (branch("Condition2.java", a)) {
		printf("test");
	}
	else if (branch("Condition2.java", branch("Condition2.java", a) && branch("Condition2.java", b))) {
		printf("test");
	}
	
	if (branch("Condition2.java", branch("Condition2.java", a) && branch("Condition2.java", b) || branch("Condition2.java", c))) {
		printf("test");
	}
	else if (branch("Condition2.java", branch("Condition2.java", a) && (branch("Condition2.java", b) || branch("Condition2.java", c)))) {
		printf("test");
	}
	
	if (branch("Condition2.java", f(a && (b || c)))) {
		printf("test");
	}
	else if (branch("Condition2.java", (f(a && (b || c))) == 0)) {
		printf("test");
	}
	
	if (branch("Condition2.java", branch("Condition2.java", f(a)) && branch("Condition2.java", f(b || c)))) {
		printf("test");
	}
	else if (branch("Condition2.java", branch("Condition2.java", f(a)) && (branch("Condition2.java", f(b)) || branch("Condition2.java", f(c))))) {
		printf("test");
	}
	
	if (branch("Condition2.java", branch("Condition2.java", a) && branch("Condition2.java", b) && branch("Condition2.java", c))) {
		printf("test");
		statement("Condition2.java");
	}
	
	statement("Condition2.java");
	return 0;
}
